<div class="drop row">
  <div class="col">
    <div ngbDropdown>
      <button class="btn btn-outline-primary" id="dropdownBasic1" ngbDropdownToggle i18n>SortBy</button>
      <div ngbDropdownMenu id="dropdownButtons" aria-labelledby="SortBy">
        <button (click)="sortData(1)" ngbDropdownItem i18n><i class="fa fa-sort-amount-asc">  </i>By Date Ascending</button>
        <button (click)="sortData(2)" ngbDropdownItem i18n><i class="fa fa-sort-amount-desc">  </i>By Date Descending</button>
        <button (click)="sortData(3)" ngbDropdownItem i18n><i class="fa fa-sort-alpha-asc">  </i>By Alphabet Ascending</button>
        <button (click)="sortData(4)" ngbDropdownItem i18n><i class="fa fa-sort-alpha-desc">  </i>By Alphabet Descending</button>
        <button (click)="sortData(5)" ngbDropdownItem i18n><i class="fa fa-sort-numeric-desc">  </i>By Ranking</button>
      </div>
    </div>
  </div>
</div>
<ul style="list-style: none;">
  <li *ngFor="let item of data | slice: (page-1) * pageSize : (page-1) * pageSize + pageSize" style="margin-bottom: 5px;">
    <app-list-component [reserve]="item"></app-list-component>
  </li>
</ul>
<ngb-pagination
  [(page)]="page"
  [pageSize]="pageSize"
  [collectionSize]="data?.length"></ngb-pagination>
